Skip to content
You're viewing documentation for v2026.11.10-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Mute a service's alerts

Creates an alert router silence on the service label, for example for maintenance. It replaces an earlier mute of the console for the same service. The silence is keyed by the service name.

POST/api/v1/database-services/{id}/alert-mute
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Request body
requiredapplication/json
commentstring
max length 500
minutesinteger<int64>required
min 1 · max 10080
Responses
200

OK

mutedUntilstringrequired

RFC3339

default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/database-services/string/alert-mute' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "comment": "string",
  "minutes": 1
}'
Response
{
  "mutedUntil": "string"
}